Skip to content
quarry Timeline
Login

Timeline

50 descendants and 50 ancestors of 97712cbd6aa5369d

2026-10-16
23:16
RFC 0023: takedown and legal hold closed check-in: bc632c2ebd user: zeitgeist tags: rfc23-takedown
23:11
land fleet-delete check-in: b24a4ea1e8 user: dmestas tags: trunk
23:05
Fleet rows stop serving and delete any store for a site admin closed check-in: f18b3d07b7 user: zeitgeist tags: fleet-delete
2026-10-15
21:03
land site-scope-fixes check-in: b51117ef35 user: dmestas tags: trunk
20:59
site token: hold the private line on the fleet pages, refuse worker tokens and the forge bucket, re-check streams closed check-in: e25fa23dca user: zeitgeist tags: site-scope-fixes
20:43
land site-scoped-tokens check-in: 1491237bba user: dmestas tags: trunk
20:38
Site scope: a flagged forge agent's token acts as site admin, never past a private repository it holds no grant on (RFC 0021) closed check-in: 7a9a8bf577 user: zeitgeist tags: site-scoped-tokens
17:12
land zit-cache-ceiling check-in: dd36b9ecb3 user: dmestas tags: trunk
09:59
merge trunk: keep both the zit-cache-mb and debug-addr flags closed check-in: 8c288280a9 user: zeitgeist tags: zit-cache-ceiling
09:57
land debug-pprof check-in: 6240eaa396 user: dmestas tags: trunk
08:26
release a dropped client's cache charges, set the ceiling before listening, count listing line overhead check-in: 3558190bef user: zeitgeist tags: zit-cache-ceiling
08:22
bound zit caches by bytes forge-wide: listings by bytes, blobs by capacity, one ceiling check-in: b360ffbf9d user: zeitgeist tags: zit-cache-ceiling
04:14
serve Go runtime profiles on a loopback --debug-addr closed check-in: 6191a3659a user: zeitgeist tags: debug-pprof
00:17
land rfc-0022-git-mirror check-in: e9e293227d user: dmestas tags: trunk
00:10
RFC 0022: mirror a public repository to a Git host from its settings closed check-in: 93b90dcaee user: zeitgeist tags: rfc-0022-git-mirror
2026-10-14
19:43
land agent-cutover check-in: 1ac543890a user: dmestas tags: trunk
19:25
Cutover review: drop agents' hand-issued push rows, refuse untokened agent sessions, one UPDATE in SetForgeAgent, scopes wording closed check-in: a426a8ee0c user: zeitgeist tags: agent-cutover
19:17
Cutover: retire every agent password, refuse it at every door, rewrite /start and llms.txt for agent accounts check-in: d9219b3582 user: zeitgeist tags: agent-cutover
17:43
land no-false-landed check-in: 396545a79f user: dmestas tags: trunk
17:38
land agent-pages check-in: 478bf78fee user: dmestas tags: trunk
17:37
A landing never reads as already landed against itself, nor in the moments after an update from its target closed check-in: df2f8cb9ae user: zeitgeist tags: no-false-landed
17:31
update agent-pages from trunk closed check-in: 135060ecc1 user: dmestas tags: agent-pages
14:57
land agent-audit-via check-in: 090b70e0d4 user: dmestas tags: trunk
14:56
Merge trunk into agent-pages; People names a forge agent's answerable admin with the forge badge check-in: 6a3a127a65 user: zeitgeist tags: agent-pages
14:53
update agent-audit-via from trunk closed check-in: 2a57ad299d user: dmestas tags: agent-audit-via
14:53
land forge-agents check-in: 6e4fb75761 user: dmestas tags: trunk
13:35
Forge agents: the agent guard refusals are Forbidden and answer forbidden at the API; a disabled site admin is shielded from lowering too; the RFC names the policy acts outside the edge closed check-in: 9113e04c34 user: zeitgeist tags: forge-agents
13:34
Agent pages: the one-time token page is no-store, a token-bound request manages nothing, failed reads are logged check-in: 362ecbdf97 user: zeitgeist tags: agent-pages
13:28
Merge trunk into agent-pages check-in: 478d39e3b9 user: zeitgeist tags: agent-pages
13:27
Forge agents test: a revoke is judged once the site admin holds something, and the store guard's refusal counts as refused check-in: fc161db2c3 user: zeitgeist tags: forge-agents
13:24
Forge agents: the store guard refuses a forge agent lowering a site admin or another forge agent on any grant door, and its s stops at a deed a site admin or forge agent holds check-in: ffd202d023 user: zeitgeist tags: forge-agents
13:05
Forge agents test: the rig grants no role, so the reader string is written directly before the raise and lower caps checks check-in: 1be63f3e22 user: zeitgeist tags: forge-agents
13:02
Forge agents: a forge agent may raise a site admin's repository letters (grant, caps that add) and never lower them; another forge agent stays refused check-in: 3a3135fa04 user: zeitgeist tags: forge-agents
12:59
Agent pages: Your agents on /me, an agent's page, agents among a repository's people check-in: d7bd012403 user: zeitgeist tags: agent-pages
12:59
Forge agents: a forge agent never alters a site admin or another forge agent on any account-level op; no self-answerable re-mark; the guard resolves the answerable admin as the badge does check-in: 142b2bb2e8 user: zeitgeist tags: forge-agents
12:36
RFC 0021 rung 5 follow-up: via is its own value, not a packed actor; carry via on uv, landing, stamp, protection check-in: a93e678592 user: zeitgeist tags: agent-audit-via
12:33
Merge trunk into forge-agents: keep the forge-agent badge hook beside the token-label wiring in main.go and web.go check-in: 42808d2307 user: zeitgeist tags: forge-agents
12:27
land agent-audit-limits check-in: ef1105daf1 user: dmestas tags: trunk
02:46
Forge agents: operator forge with an answerable site admin, the s-op creation and re-mark paths, account.answerable, the fleet section and badge (RFC 0021 decision 10) check-in: d5ad168a8f user: zeitgeist tags: forge-agents
02:31
gofmt the audit test closed check-in: e81b96ad85 user: zeitgeist tags: agent-audit-limits
02:31
RFC 0021 rung 5: audit via on events and settings log, push receipt token, sign-in link bound check-in: 63d1b34b05 user: zeitgeist tags: agent-audit-limits
02:17
land agent-accounts-guards check-in: 6122591c53 user: dmestas tags: trunk
02:13
RFC 0021 guards: repo.category.set refuses an agent writing a letter it does not resolve to closed check-in: 8f62fffde8 user: zeitgeist tags: agent-accounts-guards
02:06
RFC 0021 rung 3 guards: no deed by backfill, no agent chains, forge reserved, team ops closed to agents, marking clears the flag and refuses holdings check-in: b54bf90918 user: zeitgeist tags: agent-accounts-guards
02:02
land checks-newest-run check-in: f442236972 user: dmestas tags: trunk
01:58
update checks-newest-run from trunk closed check-in: c71dede587 user: dmestas tags: checks-newest-run
01:55
land agent-accounts check-in: 8ce7741572 user: dmestas tags: trunk
01:51
merge trunk into agent-accounts: web sign-in links and the Publisher preset beside the rung 3 core closed check-in: 63efce309c user: zeitgeist tags: agent-accounts
01:27
land publisher-preset check-in: f1563ef537 user: dmestas tags: trunk
00:14
Name Publisher in the Role enum, off the Reader-to-Admin ladder closed check-in: a413112e91 user: zeitgeist tags: publisher-preset
00:10
Add the Publisher role preset: Reader plus y, read back by Infer check-in: 97712cbd6a user: zeitgeist tags: publisher-preset
2026-10-13
18:42
land submanifest-is-manifest check-in: 1f8a3a3ce8 user: dmestas tags: trunk
18:17
An S-card check-in is a manifest: the fold skips it without a parse, and a refused manifest is not logged closed check-in: af5d79765b user: zeitgeist tags: submanifest-is-manifest
17:46
land rerun-while-dispatching check-in: f2d8579cce user: dmestas tags: trunk
17:36
Re-run is hidden while an update's runs are being dispatched closed check-in: e15d416d33 user: zeitgeist tags: rerun-while-dispatching
17:35
land remove-cancels-ingest check-in: 92cef418f8 user: dmestas tags: trunk
17:32
update remove-cancels-ingest from trunk closed check-in: 79f9bebb4f user: dmestas tags: remove-cancels-ingest
17:28
land index-memory-357 check-in: 12c3be95be user: dmestas tags: trunk
17:14
The harness parity test passes a context to FramesEachStructural check-in: ccede69f02 user: zeitgeist tags: remove-cancels-ingest
17:02
ingest: Stop kills a running rebuild so repo.remove returns promptly check-in: 1053469840 user: zeitgeist tags: remove-cancels-ingest
16:43
Index connections may use 1GB and the writer sorts on disk; one store running SQLite out of memory no longer ends the forge closed check-in: 875402ce97 user: zeitgeist tags: index-memory-357
16:32
land rebuild-oom check-in: 141fa918cb user: dmestas tags: trunk
15:35
A rebuild recreates its indexes with the sort on disk, and one store's rebuild panic no longer ends the process closed check-in: f5b783db61 user: zeitgeist tags: rebuild-oom
00:33
land landing-merge-run-order check-in: cb0cc0b479 user: dmestas tags: trunk
00:29
land forum-search-thread-title check-in: 77e6b4bf56 user: dmestas tags: trunk
00:25
land docs-search-wiki check-in: 9f4bfca043 user: dmestas tags: trunk
00:18
land push-admitted-log check-in: 738ed46987 user: dmestas tags: trunk
00:09
update landing-merge-run-order from trunk closed check-in: 45ac37bf6b user: dmestas tags: landing-merge-run-order
00:09
update push-admitted-log from trunk closed check-in: 71dad72b74 user: dmestas tags: push-admitted-log
00:08
update docs-search-wiki from trunk closed check-in: f95efd7f07 user: dmestas tags: docs-search-wiki
00:08
update forum-search-thread-title from trunk closed check-in: e9e55a8f4b user: dmestas tags: forum-search-thread-title
00:08
land pikchr-source-inline check-in: 8248a56ff0 user: dmestas tags: trunk
00:03
search: keep the scope menu as it was; docs covers wiki pages check-in: 168dab02be user: zeitgeist tags: docs-search-wiki
00:00
Every push the sync gate admits is logged with the identity it verified check-in: c1e823a148 user: zeitgeist tags: push-admitted-log
2026-10-12
23:49
search: the Docs index box searches tree documents and wiki pages together check-in: 77e0c9eb7e user: zeitgeist tags: docs-search-wiki
23:46
web: an accepted landing links the merge's own run and labels the premerge rows before landing check-in: d5aa5aed76 user: zeitgeist tags: landing-merge-run-order
23:46
Label forum search hits with the thread title, not the matching reply first line check-in: 563e545502 user: zeitgeist tags: forum-search-thread-title
23:45
Show a pikchr source opened by the fence word in the flow, not over what follows closed check-in: 760dd1f7b5 user: zeitgeist tags: pikchr-source-inline
23:26
land theme-lines-visible check-in: 8d11e82bc0 user: dmestas tags: trunk
23:21
Themes: every family draws its lines, code pills and highlights, and what is written on a pill reads closed check-in: 4caaef1e77 user: zeitgeist tags: theme-lines-visible
20:41
land merge-verdict-inherited check-in: 0db4727676 user: dmestas tags: trunk
19:32
Landing record: an inherited merge verdict reads as passed or failed at once, not as being checked until the next poll closed check-in: ac7de53a22 user: zeitgeist tags: merge-verdict-inherited
01:45
land inbound-reply-guards check-in: 342a5376d3 user: dmestas tags: trunk
01:23
Inbound replies: only an open account writes by mail, a reply held for moderation is final, and copies of one mail post once closed check-in: 326b1e6920 user: zeitgeist tags: inbound-reply-guards
2026-10-11
22:55
land theme-pairs check-in: 39786e5a37 user: dmestas tags: trunk
22:07
Themes come in light and dark pairs: /me offers one entry per family and the page draws the side that matches light or dark closed check-in: 1d5c6dee80 user: zeitgeist tags: theme-pairs
21:29
land runner-reclone-clean check-in: 12222938bc user: dmestas tags: trunk
21:16
Runner: clear a workspace with no .zit before recloning, so the first checkout after a merge pair succeeds closed check-in: 7e0b49316c user: zeitgeist tags: runner-reclone-clean
01:08
land zeitforge-brand check-in: 75ad0456f2 user: dmestas tags: trunk
01:04
api tests: the mail card word is ZEIT, not QUARRY closed check-in: 0c16522bdf user: zeitgeist tags: zeitforge-brand
01:00
Probe test: the card now sets the wordmark in Big Shoulders Display check-in: 908e7582f1 user: zeitgeist tags: zeitforge-brand
00:59
Zeitforge mark and wordmark: the crescent trilobite and ZEITFORGE replace the Q and QUARRY in the header, icons, BIMI, email card and probe card check-in: 54cbb22e55 user: zeitgeist tags: zeitforge-brand
2026-10-10
17:10
land site-code-themes check-in: 1a487c37dd user: dmestas tags: trunk
17:06
Site and code themes on /me: every hunk theme as quarry tokens, previewed as you choose; Gruvbox Dark Hard is the default dark closed check-in: 6ce158d758 user: zeitgeist tags: site-code-themes
2026-10-09
21:01
land timeline-no-false-scroll check-in: 3d5c876310 user: dmestas tags: trunk
20:49
Timeline: last row tail stays inside the lane, lane never scrolls vertically closed check-in: dbb2146667 user: zeitgeist tags: timeline-no-false-scroll
20:38
land settings-trail-padding check-in: 0fd878b510 user: dmestas tags: trunk
20:35
Settings: inset Recent changes rows and pad the Advanced fold summary closed check-in: e7c46da0ba user: zeitgeist tags: settings-trail-padding
19:45
land pik-source-drop check-in: 6351e56f38 user: dmestas tags: trunk
19:41
Pikchr bar: one Source button drops the source over the page instead of a Diagram/Source switch closed check-in: 1797111d84 user: zeitgeist tags: pik-source-drop
16:27
land environments-layout check-in: dac4261f01 user: dmestas tags: trunk